## r-bioc-genomicfeatures 1.38.2+dfsg

=== DESCRIPTION ===
Package: GenomicFeatures
Title: Conveniently import and query gene models
Version: 1.38.2
Encoding: UTF-8
Author: M. Carlson, H. Pagès, P. Aboyoun, S. Falcon, M. Morgan,
	D. Sarkar, M. Lawrence, V. Obenchain
License: Artistic-2.0
Description: A set of tools and methods for making and manipulating
	transcript centric annotations. With these tools the user can
	easily download the genomic locations of the transcripts, exons
	and cds of a given organism, from either the UCSC Genome
	Browser or a BioMart database (more sources will be supported
	in the future). This information is then stored in a local
	database that keeps track of the relationship between
	transcripts, exons, cds and genes. Flexible methods are
	provided for extracting the desired features in a convenient
	format.
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Depends: BiocGenerics (>= 0.1.0), S4Vectors (>= 0.17.29), IRanges (>=
        2.13.23), GenomeInfoDb (>= 1.15.4), GenomicRanges (>= 1.31.17),
        AnnotationDbi (>= 1.41.4)
Imports: methods, utils, stats, tools, DBI, RSQLite (>= 2.0), RCurl,
        XVector (>= 0.19.7), Biostrings (>= 2.47.6), rtracklayer (>=
        1.39.7), biomaRt (>= 2.17.1), Biobase (>= 2.15.1)
Suggests: RMariaDB, org.Mm.eg.db, org.Hs.eg.db, BSgenome,
        BSgenome.Hsapiens.UCSC.hg19 (>= 1.3.17),
        BSgenome.Celegans.UCSC.ce2, BSgenome.Dmelanogaster.UCSC.dm3 (>=
        1.3.17), mirbase.db, FDb.UCSC.tRNAs,
        TxDb.Hsapiens.UCSC.hg19.knownGene,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene (>= 2.7.1),
        TxDb.Mmusculus.UCSC.mm10.knownGene (>= 3.4.7),
        TxDb.Hsapiens.UCSC.hg19.lincRNAsTranscripts,
        TxDb.Hsapiens.UCSC.hg38.knownGene (>= 3.4.6),
        SNPlocs.Hsapiens.dbSNP144.GRCh38, Rsamtools, pasillaBamSubset
        (>= 0.0.5), GenomicAlignments (>= 1.15.7), ensembldb, RUnit,
        BiocStyle, knitr
Collate: utils.R TxDb-schema.R TxDb-SELECT-helpers.R UCSC-utils.R
        Ensembl-utils.R findCompatibleMarts.R TxDb-class.R
        FeatureDb-class.R makeTxDb.R makeTxDbFromUCSC.R
        makeTxDbFromBiomart.R makeTxDbFromEnsembl.R
        makeTxDbFromGRanges.R makeTxDbFromGFF.R makeFeatureDbFromUCSC.R
        mapIdsToRanges.R id2name.R transcripts.R transcriptsBy.R
        transcriptsByOverlaps.R transcriptLengths.R exonicParts.R
        disjointExons.R features.R microRNAs.R extractTranscriptSeqs.R
        extractUpstreamSeqs.R getPromoterSeq-methods.R
        makeTxDbPackage.R select-methods.R nearest-methods.R
        transcriptLocs2refLocs.R coordinate-mapping-methods.R
        coverageByTranscript.R zzz.R
VignetteBuilder: knitr
biocViews: Genetics, Infrastructure, Annotation, Sequencing,
        GenomeAnnotation
git_url: https://git.bioconductor.org/packages/GenomicFeatures
git_branch: RELEASE_3_10
git_last_commit: 091006c
git_last_commit_date: 2020-02-14
Date/Publication: 2020-02-15
NeedsCompilation: no
Packaged: 2020-02-16 00:39:43 UTC; biocbuild

=== debian/control ===
Source: r-bioc-genomicfeatures
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-s4vectors (>= 0.17.29),
               r-bioc-iranges (>= 2.13.23),
               r-bioc-genomeinfodb (>= 1.15.4),
               r-bioc-genomicranges (>= 1.31.17),
               r-bioc-annotationdbi (>= 1.41.4),
               r-cran-dbi,
               r-cran-rsqlite (>= 2.0),
               r-cran-rcurl,
               r-bioc-xvector (>= 0.19.7),
               r-bioc-biostrings (>= 2.47.6),
               r-bioc-rtracklayer (>= 1.39.7),
               r-bioc-biomart,
               r-bioc-biobase
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures.git
Homepage: https://bioconductor.org/packages/GenomicFeatures/

Package: r-bioc-genomicfeatures
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tools for making and manipulating transcript centric annotations
 A set of tools and methods for making and manipulating transcript
 centric annotations. With these tools the user can easily download the
 genomic locations of the transcripts, exons and cds of a given organism,
 from either the UCSC Genome Browser or a BioMart database (more sources
 will be supported in the future). This information is then stored in a
 local database that keeps track of the relationship between transcripts,
 exons, cds and genes. Flexible methods are provided for extracting the
 desired features in a convenient format.

## r-bioc-genomicfeatures 1.40.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: GenomicFeatures
 Title: Conveniently import and query gene models
-Version: 1.38.2
+Version: 1.40.1
 Encoding: UTF-8
 Author: M. Carlson, H. Pagès, P. Aboyoun, S. Falcon, M. Morgan,
 	D. Sarkar, M. Lawrence, V. Obenchain
@@ -17,8 +17,8 @@
 	format.
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Depends: BiocGenerics (>= 0.1.0), S4Vectors (>= 0.17.29), IRanges (>=
-        2.13.23), GenomeInfoDb (>= 1.15.4), GenomicRanges (>= 1.31.17),
-        AnnotationDbi (>= 1.41.4)
+        2.13.23), GenomeInfoDb (>= 1.23.10), GenomicRanges (>=
+        1.31.17), AnnotationDbi (>= 1.41.4)
 Imports: methods, utils, stats, tools, DBI, RSQLite (>= 2.0), RCurl,
         XVector (>= 0.19.7), Biostrings (>= 2.47.6), rtracklayer (>=
         1.39.7), biomaRt (>= 2.17.1), Biobase (>= 2.15.1)
@@ -50,9 +50,9 @@
 biocViews: Genetics, Infrastructure, Annotation, Sequencing,
         GenomeAnnotation
 git_url: https://git.bioconductor.org/packages/GenomicFeatures
-git_branch: RELEASE_3_10
-git_last_commit: 091006c
-git_last_commit_date: 2020-02-14
-Date/Publication: 2020-02-15
+git_branch: RELEASE_3_11
+git_last_commit: ee9accf
+git_last_commit_date: 2020-07-07
+Date/Publication: 2020-07-08
 NeedsCompilation: no
-Packaged: 2020-02-16 00:39:43 UTC; biocbuild
+Packaged: 2020-07-08 22:56:51 UTC; biocbuild

=== debian/changelog ===
r-bioc-genomicfeatures (1.40.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Jul 2020 10:39:34 +0200

r-bioc-genomicfeatures (1.40.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 May 2020 18:01:19 +0200

r-bioc-genomicfeatures (1.38.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix autopkgtest.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 16 Mar 2020 18:39:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics,
                r-bioc-s4vectors (>= 0.17.29),
                r-bioc-iranges (>= 2.13.23),
-               r-bioc-genomeinfodb (>= 1.15.4),
+               r-bioc-genomeinfodb (>= 1.23.10),
                r-bioc-genomicranges (>= 1.31.17),
                r-bioc-annotationdbi (>= 1.41.4),
                r-cran-dbi,
@@ -25,6 +25,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures.git
 Homepage: https://bioconductor.org/packages/GenomicFeatures/
+Rules-Requires-Root: no
 
 Package: r-bioc-genomicfeatures
 Architecture: all

## r-bioc-genomicfeatures 1.42.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-bioc-biocgenerics,
                r-bioc-s4vectors (>= 0.17.29),
                r-bioc-iranges (>= 2.13.23),
-               r-bioc-genomeinfodb (>= 1.23.10),
+               r-bioc-genomeinfodb (>= 1.25.7),
                r-bioc-genomicranges (>= 1.31.17),
                r-bioc-annotationdbi (>= 1.41.4),
                r-cran-dbi,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

#override_dh_install: ... all tests are requiring unpackaged data
#	dh_install
#	# remove those tests that are requring not packaged data
#	rm `grep -lR 'TxDb.Dmelanogaster.UCSC.dm3.ensGene' debian/*/usr | grep '/test_'`

## r-bioc-genomicfeatures 1.42.1+dfsg

=== DESCRIPTION ===
Package: GenomicFeatures
Title: Conveniently import and query gene models
Description: A set of tools and methods for making and manipulating
	transcript centric annotations. With these tools the user can
	easily download the genomic locations of the transcripts, exons
	and cds of a given organism, from either the UCSC Genome
	Browser or a BioMart database (more sources will be supported
	in the future). This information is then stored in a local
	database that keeps track of the relationship between
	transcripts, exons, cds and genes. Flexible methods are
	provided for extracting the desired features in a convenient
	format.
biocViews: Genetics, Infrastructure, Annotation, Sequencing,
        GenomeAnnotation
URL: https://bioconductor.org/packages/GenomicFeatures
BugReports: https://github.com/Bioconductor/GenomicFeatures/issues
Version: 1.42.1
License: Artistic-2.0
Encoding: UTF-8
Author: M. Carlson, H. Pagès, P. Aboyoun, S. Falcon, M. Morgan,
	D. Sarkar, M. Lawrence, V. Obenchain
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Depends: BiocGenerics (>= 0.1.0), S4Vectors (>= 0.17.29), IRanges (>=
        2.13.23), GenomeInfoDb (>= 1.25.7), GenomicRanges (>= 1.31.17),
        AnnotationDbi (>= 1.41.4)
Imports: methods, utils, stats, tools, DBI, RSQLite (>= 2.0), RCurl,
        XVector (>= 0.19.7), Biostrings (>= 2.47.6), rtracklayer (>=
        1.39.7), biomaRt (>= 2.17.1), Biobase (>= 2.15.1)
Suggests: RMariaDB, org.Mm.eg.db, org.Hs.eg.db, BSgenome,
        BSgenome.Hsapiens.UCSC.hg19 (>= 1.3.17),
        BSgenome.Celegans.UCSC.ce11, BSgenome.Dmelanogaster.UCSC.dm3
        (>= 1.3.17), mirbase.db, FDb.UCSC.tRNAs,
        TxDb.Hsapiens.UCSC.hg19.knownGene,
        TxDb.Celegans.UCSC.ce11.ensGene,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene (>= 2.7.1),
        TxDb.Mmusculus.UCSC.mm10.knownGene (>= 3.4.7),
        TxDb.Hsapiens.UCSC.hg19.lincRNAsTranscripts,
        TxDb.Hsapiens.UCSC.hg38.knownGene (>= 3.4.6),
        SNPlocs.Hsapiens.dbSNP144.GRCh38, Rsamtools, pasillaBamSubset
        (>= 0.0.5), GenomicAlignments (>= 1.15.7), ensembldb, RUnit,
        BiocStyle, knitr
VignetteBuilder: knitr
Collate: utils.R TxDb-schema.R TxDb-SELECT-helpers.R UCSC-utils.R
        Ensembl-utils.R findCompatibleMarts.R TxDb-class.R
        FeatureDb-class.R makeTxDb.R makeTxDbFromUCSC.R
        makeTxDbFromBiomart.R makeTxDbFromEnsembl.R
        makeTxDbFromGRanges.R makeTxDbFromGFF.R makeFeatureDbFromUCSC.R
        mapIdsToRanges.R id2name.R transcripts.R transcriptsBy.R
        transcriptsByOverlaps.R transcriptLengths.R exonicParts.R
        disjointExons.R features.R microRNAs.R extractTranscriptSeqs.R
        extractUpstreamSeqs.R getPromoterSeq-methods.R
        makeTxDbPackage.R select-methods.R nearest-methods.R
        transcriptLocs2refLocs.R coordinate-mapping-methods.R
        coverageByTranscript.R zzz.R
git_url: https://git.bioconductor.org/packages/GenomicFeatures
git_branch: RELEASE_3_12
git_last_commit: 2e82891
git_last_commit_date: 2020-11-09
Date/Publication: 2020-11-12
NeedsCompilation: no
Packaged: 2020-11-13 00:39:53 UTC; biocbuild

=== inst/txdb-template/DESCRIPTION ===
Package: @PKGNAME@
Title: @PKGTITLE@
Description: @PKGDESCRIPTION@
Version: @PKGVERSION@
Author: @AUTHOR@
Maintainer: @MAINTAINER@
Depends: GenomicFeatures (>= @GFVERSION@)
Imports: AnnotationDbi
License: @LIC@
organism: @ORGANISM@
species: @SPECIES@
provider: @PROVIDER@
provider_version: @PROVIDERVERSION@
release_date: @RELEASEDATE@
resource_url: @SOURCEURL@
biocViews: AnnotationData, Genetics, TxDb, @ORGANISMBIOCVIEW@

=== debian/changelog ===
r-bioc-genomicfeatures (1.42.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/rules (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 18 Nov 2020 11:31:50 +0100

r-bioc-genomicfeatures (1.42.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 14:52:38 +0100

## r-bioc-genomicfeatures 1.46.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
         GenomeAnnotation
 URL: https://bioconductor.org/packages/GenomicFeatures
 BugReports: https://github.com/Bioconductor/GenomicFeatures/issues
-Version: 1.42.1
+Version: 1.46.4
 License: Artistic-2.0
 Encoding: UTF-8
 Author: M. Carlson, H. Pagès, P. Aboyoun, S. Falcon, M. Morgan,
@@ -24,8 +24,9 @@
         2.13.23), GenomeInfoDb (>= 1.25.7), GenomicRanges (>= 1.31.17),
         AnnotationDbi (>= 1.41.4)
 Imports: methods, utils, stats, tools, DBI, RSQLite (>= 2.0), RCurl,
-        XVector (>= 0.19.7), Biostrings (>= 2.47.6), rtracklayer (>=
-        1.39.7), biomaRt (>= 2.17.1), Biobase (>= 2.15.1)
+        XVector (>= 0.19.7), Biostrings (>= 2.47.6), BiocIO,
+        rtracklayer (>= 1.51.5), biomaRt (>= 2.17.1), Biobase (>=
+        2.15.1)
 Suggests: RMariaDB, org.Mm.eg.db, org.Hs.eg.db, BSgenome,
         BSgenome.Hsapiens.UCSC.hg19 (>= 1.3.17),
         BSgenome.Celegans.UCSC.ce11, BSgenome.Dmelanogaster.UCSC.dm3
@@ -53,9 +54,9 @@
         transcriptLocs2refLocs.R coordinate-mapping-methods.R
         coverageByTranscript.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicFeatures
-git_branch: RELEASE_3_12
-git_last_commit: 2e82891
-git_last_commit_date: 2020-11-09
-Date/Publication: 2020-11-12
+git_branch: RELEASE_3_14
+git_last_commit: d3ab6fd
+git_last_commit_date: 2022-01-19
+Date/Publication: 2022-01-20
 NeedsCompilation: no
-Packaged: 2020-11-13 00:39:53 UTC; biocbuild
+Packaged: 2022-01-20 09:26:29 UTC; biocbuild

=== debian/changelog ===
r-bioc-genomicfeatures (1.46.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 23 Jan 2022 16:17:17 +0100

r-bioc-genomicfeatures (1.46.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Skip autopkgtest and mark it superficial
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Sat, 15 Jan 2022 10:50:48 +0100

r-bioc-genomicfeatures (1.46.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-genomeinfodb.

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 21:43:38 +0100

r-bioc-genomicfeatures (1.44.2+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-annotationdbi,
      r-bioc-biostrings, r-bioc-genomeinfodb, r-bioc-genomicranges,
      r-bioc-iranges, r-bioc-s4vectors, r-bioc-xvector and r-cran-rsqlite.

  [ Nilesh Patra ]
  * Add versioned scheme on several B-D, as per DESCRIPTION file,
    add B-D on r-bioc-biocio

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Sep 2021 03:03:09 +0530

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,21 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics,
-               r-bioc-s4vectors (>= 0.17.29),
-               r-bioc-iranges (>= 2.13.23),
+               r-bioc-s4vectors,
+               r-bioc-iranges,
                r-bioc-genomeinfodb (>= 1.25.7),
-               r-bioc-genomicranges (>= 1.31.17),
-               r-bioc-annotationdbi (>= 1.41.4),
+               r-bioc-genomicranges,
+               r-bioc-annotationdbi,
                r-cran-dbi,
-               r-cran-rsqlite (>= 2.0),
+               r-cran-rsqlite,
                r-cran-rcurl,
-               r-bioc-xvector (>= 0.19.7),
-               r-bioc-biostrings (>= 2.47.6),
-               r-bioc-rtracklayer (>= 1.39.7),
+               r-bioc-xvector,
+               r-bioc-biostrings,
+               r-bioc-biocio,
+               r-bioc-rtracklayer (>= 1.51.5),
                r-bioc-biomart,
                r-bioc-biobase
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures.git
 Homepage: https://bioconductor.org/packages/GenomicFeatures/

## r-bioc-genomicfeatures 1.48.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,15 +14,15 @@
         GenomeAnnotation
 URL: https://bioconductor.org/packages/GenomicFeatures
 BugReports: https://github.com/Bioconductor/GenomicFeatures/issues
-Version: 1.46.4
+Version: 1.48.3
 License: Artistic-2.0
 Encoding: UTF-8
 Author: M. Carlson, H. Pagès, P. Aboyoun, S. Falcon, M. Morgan,
 	D. Sarkar, M. Lawrence, V. Obenchain
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
-Depends: BiocGenerics (>= 0.1.0), S4Vectors (>= 0.17.29), IRanges (>=
-        2.13.23), GenomeInfoDb (>= 1.25.7), GenomicRanges (>= 1.31.17),
-        AnnotationDbi (>= 1.41.4)
+Depends: R (>= 3.5.0), BiocGenerics (>= 0.1.0), S4Vectors (>= 0.17.29),
+        IRanges (>= 2.13.23), GenomeInfoDb (>= 1.25.7), GenomicRanges
+        (>= 1.31.17), AnnotationDbi (>= 1.41.4)
 Imports: methods, utils, stats, tools, DBI, RSQLite (>= 2.0), RCurl,
         XVector (>= 0.19.7), Biostrings (>= 2.47.6), BiocIO,
         rtracklayer (>= 1.51.5), biomaRt (>= 2.17.1), Biobase (>=
@@ -38,8 +38,8 @@
         TxDb.Hsapiens.UCSC.hg19.lincRNAsTranscripts,
         TxDb.Hsapiens.UCSC.hg38.knownGene (>= 3.4.6),
         SNPlocs.Hsapiens.dbSNP144.GRCh38, Rsamtools, pasillaBamSubset
-        (>= 0.0.5), GenomicAlignments (>= 1.15.7), ensembldb, RUnit,
-        BiocStyle, knitr
+        (>= 0.0.5), GenomicAlignments (>= 1.15.7), ensembldb,
+        AnnotationFilter, RUnit, BiocStyle, knitr
 VignetteBuilder: knitr
 Collate: utils.R TxDb-schema.R TxDb-SELECT-helpers.R UCSC-utils.R
         Ensembl-utils.R findCompatibleMarts.R TxDb-class.R
@@ -48,15 +48,16 @@
         makeTxDbFromGRanges.R makeTxDbFromGFF.R makeFeatureDbFromUCSC.R
         mapIdsToRanges.R id2name.R transcripts.R transcriptsBy.R
         transcriptsByOverlaps.R transcriptLengths.R exonicParts.R
-        disjointExons.R features.R microRNAs.R extractTranscriptSeqs.R
-        extractUpstreamSeqs.R getPromoterSeq-methods.R
-        makeTxDbPackage.R select-methods.R nearest-methods.R
-        transcriptLocs2refLocs.R coordinate-mapping-methods.R
+        disjointExons.R extendExonsIntoIntrons.R features.R microRNAs.R
+        extractTranscriptSeqs.R extractUpstreamSeqs.R
+        getPromoterSeq-methods.R makeTxDbPackage.R select-methods.R
+        nearest-methods.R transcriptLocs2refLocs.R
+        coordinate-mapping-methods.R proteinToGenome.R
         coverageByTranscript.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicFeatures
-git_branch: RELEASE_3_14
-git_last_commit: d3ab6fd
-git_last_commit_date: 2022-01-19
-Date/Publication: 2022-01-20
+git_branch: RELEASE_3_15
+git_last_commit: b0ddea0
+git_last_commit_date: 2022-05-31
+Date/Publication: 2022-05-31
 NeedsCompilation: no
-Packaged: 2022-01-20 09:26:29 UTC; biocbuild
+Packaged: 2022-05-31 20:35:54 UTC; biocbuild

=== debian/changelog ===
r-bioc-genomicfeatures (1.48.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jun 2022 11:23:50 +0200

r-bioc-genomicfeatures (1.48.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2022 10:24:20 +0200

r-bioc-genomicfeatures (1.48.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.48.0+dfsg
  * Exclude and regenerate html doc

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 May 2022 20:16:43 +0530

r-bioc-genomicfeatures (1.46.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 12:22:37 +0100

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,11 @@
                r-bioc-biocio,
                r-bioc-rtracklayer (>= 1.51.5),
                r-bioc-biomart,
-               r-bioc-biobase
-Standards-Version: 4.6.0
+               r-bioc-biobase,
+# <dh-update-R>do not delete this</dh-update-R>
+               r-cran-knitr,
+               r-cran-markdown
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures.git
 Homepage: https://bioconductor.org/packages/GenomicFeatures/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

execute_after_dh_auto_build:
	cd inst/doc && Rscript -e "require(knitr); require(markdown); knit('GenomicFeatures.Rmd', 'GenomicFeatures.md'); markdownToHTML('GenomicFeatures.md', 'GenomicFeatures.html', options=c('use_xhtml', 'base64_images'));"

## r-bioc-genomicfeatures 1.50.4%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,14 +14,29 @@
         GenomeAnnotation
 URL: https://bioconductor.org/packages/GenomicFeatures
 BugReports: https://github.com/Bioconductor/GenomicFeatures/issues
-Version: 1.48.3
+Version: 1.50.4
 License: Artistic-2.0
 Encoding: UTF-8
-Author: M. Carlson, H. Pagès, P. Aboyoun, S. Falcon, M. Morgan,
-	D. Sarkar, M. Lawrence, V. Obenchain
-Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
+Authors@R: c(
+	person("M.", "Carlson", role="aut"),
+	person("H.", "Pagès", role=c("aut", "cre"),
+		email="hpages.on.github@gmail.com"),
+	person("P.", "Aboyoun", role="aut"),
+	person("S.", "Falcon", role="aut"),
+	person("M.", "Morgan", role="aut"),
+	person("D.", "Sarkar", role="aut"),
+	person("M.", "Lawrence", role="aut"),
+	person("V.", "Obenchain", role="aut"),
+	person("S.", "Arora", role="ctb"),
+	person("J.", "MacDonald", role="ctb"),
+	person("M.", "Ramos", role="ctb"),
+	person("S.", "Saini", role="ctb"),
+	person("P.", "Shannon", role="ctb"),
+	person("L.", "Shepherd", role="ctb"),
+	person("D.", "Tenenbaum", role="ctb"),
+	person("D.", "Van Twisk", role="ctb"))
 Depends: R (>= 3.5.0), BiocGenerics (>= 0.1.0), S4Vectors (>= 0.17.29),
-        IRanges (>= 2.13.23), GenomeInfoDb (>= 1.25.7), GenomicRanges
+        IRanges (>= 2.13.23), GenomeInfoDb (>= 1.34.7), GenomicRanges
         (>= 1.31.17), AnnotationDbi (>= 1.41.4)
 Imports: methods, utils, stats, tools, DBI, RSQLite (>= 2.0), RCurl,
         XVector (>= 0.19.7), Biostrings (>= 2.47.6), BiocIO,
@@ -39,7 +54,7 @@
         TxDb.Hsapiens.UCSC.hg38.knownGene (>= 3.4.6),
         SNPlocs.Hsapiens.dbSNP144.GRCh38, Rsamtools, pasillaBamSubset
         (>= 0.0.5), GenomicAlignments (>= 1.15.7), ensembldb,
-        AnnotationFilter, RUnit, BiocStyle, knitr
+        AnnotationFilter, RUnit, BiocStyle, knitr, markdown
 VignetteBuilder: knitr
 Collate: utils.R TxDb-schema.R TxDb-SELECT-helpers.R UCSC-utils.R
         Ensembl-utils.R findCompatibleMarts.R TxDb-class.R
@@ -55,9 +70,26 @@
         coordinate-mapping-methods.R proteinToGenome.R
         coverageByTranscript.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicFeatures
-git_branch: RELEASE_3_15
-git_last_commit: b0ddea0
-git_last_commit_date: 2022-05-31
-Date/Publication: 2022-05-31
+git_branch: RELEASE_3_16
+git_last_commit: 68bf6e1
+git_last_commit_date: 2022-12-14
+Date/Publication: 2023-01-24
 NeedsCompilation: no
-Packaged: 2022-05-31 20:35:54 UTC; biocbuild
+Packaged: 2023-01-24 21:53:49 UTC; biocbuild
+Author: M. Carlson [aut],
+  H. Pagès [aut, cre],
+  P. Aboyoun [aut],
+  S. Falcon [aut],
+  M. Morgan [aut],
+  D. Sarkar [aut],
+  M. Lawrence [aut],
+  V. Obenchain [aut],
+  S. Arora [ctb],
+  J. MacDonald [ctb],
+  M. Ramos [ctb],
+  S. Saini [ctb],
+  P. Shannon [ctb],
+  L. Shepherd [ctb],
+  D. Tenenbaum [ctb],
+  D. Van Twisk [ctb]
+Maintainer: H. Pagès <hpages.on.github@gmail.com>

## r-bioc-genomicfeatures 1.50.4+dfsg

=== debian/changelog ===
r-bioc-genomicfeatures (1.50.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 13:34:26 +0100

r-bioc-genomicfeatures (1.50.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Use Debian packaged libjs-mathjax

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2022 17:26:19 +0100

r-bioc-genomicfeatures (1.50.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 18:21:55 +0100

r-bioc-genomicfeatures (1.48.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 25 Sep 2022 12:16:22 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-bioc-biocgenerics,
                r-bioc-s4vectors,
                r-bioc-iranges,
-               r-bioc-genomeinfodb (>= 1.25.7),
+               r-bioc-genomeinfodb (>= 1.34.7),
                r-bioc-genomicranges,
                r-bioc-annotationdbi,
                r-cran-dbi,
@@ -25,7 +25,7 @@
 # <dh-update-R>do not delete this</dh-update-R>
                r-cran-knitr,
                r-cran-markdown
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures.git
 Homepage: https://bioconductor.org/packages/GenomicFeatures/

## r-bioc-genomicfeatures 1.52.1+dfsg

=== debian/changelog ===
r-bioc-genomicfeatures (1.52.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 06:45:13 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-bioc-biocgenerics,
                r-bioc-s4vectors,
                r-bioc-iranges,
-               r-bioc-genomeinfodb (>= 1.34.7),
+               r-bioc-genomeinfodb (>= 1.35.8),
                r-bioc-genomicranges,
                r-bioc-annotationdbi,
                r-cran-dbi,

## r-bioc-genomicfeatures 1.52.2+dfsg

=== debian/changelog ===
r-bioc-genomicfeatures (1.52.2+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 29 Aug 2023 00:18:00 +0000

## r-bioc-genomicfeatures 1.54.3%2Bdfsg

=== debian/changelog ===
r-bioc-genomicfeatures (1.54.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2024 10:01:08 +0100

r-bioc-genomicfeatures (1.54.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 01 Dec 2023 02:04:15 +0000

## r-bioc-genomicfeatures 1.54.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
         GenomeAnnotation
 URL: https://bioconductor.org/packages/GenomicFeatures
 BugReports: https://github.com/Bioconductor/GenomicFeatures/issues
-Version: 1.50.4
+Version: 1.54.3
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -36,11 +36,11 @@
 	person("D.", "Tenenbaum", role="ctb"),
 	person("D.", "Van Twisk", role="ctb"))
 Depends: R (>= 3.5.0), BiocGenerics (>= 0.1.0), S4Vectors (>= 0.17.29),
-        IRanges (>= 2.13.23), GenomeInfoDb (>= 1.34.7), GenomicRanges
+        IRanges (>= 2.13.23), GenomeInfoDb (>= 1.35.8), GenomicRanges
         (>= 1.31.17), AnnotationDbi (>= 1.41.4)
 Imports: methods, utils, stats, tools, DBI, RSQLite (>= 2.0), RCurl,
         XVector (>= 0.19.7), Biostrings (>= 2.47.6), BiocIO,
-        rtracklayer (>= 1.51.5), biomaRt (>= 2.17.1), Biobase (>=
+        rtracklayer (>= 1.51.5), biomaRt (>= 2.58.2), Biobase (>=
         2.15.1)
 Suggests: RMariaDB, org.Mm.eg.db, org.Hs.eg.db, BSgenome,
         BSgenome.Hsapiens.UCSC.hg19 (>= 1.3.17),
@@ -63,19 +63,20 @@
         makeTxDbFromGRanges.R makeTxDbFromGFF.R makeFeatureDbFromUCSC.R
         mapIdsToRanges.R id2name.R transcripts.R transcriptsBy.R
         transcriptsByOverlaps.R transcriptLengths.R exonicParts.R
-        disjointExons.R extendExonsIntoIntrons.R features.R microRNAs.R
+        extendExonsIntoIntrons.R features.R microRNAs.R
         extractTranscriptSeqs.R extractUpstreamSeqs.R
         getPromoterSeq-methods.R makeTxDbPackage.R select-methods.R
         nearest-methods.R transcriptLocs2refLocs.R
         coordinate-mapping-methods.R proteinToGenome.R
         coverageByTranscript.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicFeatures
-git_branch: RELEASE_3_16
-git_last_commit: 68bf6e1
-git_last_commit_date: 2022-12-14
-Date/Publication: 2023-01-24
+git_branch: RELEASE_3_18
+git_last_commit: b42fb34
+git_last_commit_date: 2024-01-30
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-31
 NeedsCompilation: no
-Packaged: 2023-01-24 21:53:49 UTC; biocbuild
+Packaged: 2024-01-31 22:20:21 UTC; biocbuild
 Author: M. Carlson [aut],
   H. Pagès [aut, cre],
   P. Aboyoun [aut],

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,11 @@
                r-bioc-biostrings,
                r-bioc-biocio,
                r-bioc-rtracklayer (>= 1.51.5),
-               r-bioc-biomart,
+               r-bioc-biomart (>= 2.58.2),
                r-bioc-biobase,
-# <dh-update-R>do not delete this</dh-update-R>
                r-cran-knitr,
-               r-cran-markdown
+               r-cran-markdown,
+               r-bioc-biocstyle
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures.git

## r-bioc-genomicfeatures 1.56.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
         GenomeAnnotation
 URL: https://bioconductor.org/packages/GenomicFeatures
 BugReports: https://github.com/Bioconductor/GenomicFeatures/issues
-Version: 1.54.3
+Version: 1.56.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -36,13 +36,10 @@
 	person("D.", "Tenenbaum", role="ctb"),
 	person("D.", "Van Twisk", role="ctb"))
 Depends: R (>= 3.5.0), BiocGenerics (>= 0.1.0), S4Vectors (>= 0.17.29),
-        IRanges (>= 2.13.23), GenomeInfoDb (>= 1.35.8), GenomicRanges
-        (>= 1.31.17), AnnotationDbi (>= 1.41.4)
-Imports: methods, utils, stats, tools, DBI, RSQLite (>= 2.0), RCurl,
-        XVector (>= 0.19.7), Biostrings (>= 2.47.6), BiocIO,
-        rtracklayer (>= 1.51.5), biomaRt (>= 2.58.2), Biobase (>=
-        2.15.1)
-Suggests: RMariaDB, org.Mm.eg.db, org.Hs.eg.db, BSgenome,
+        IRanges (>= 2.37.1), GenomeInfoDb (>= 1.35.8), GenomicRanges
+        (>= 1.55.2), AnnotationDbi (>= 1.41.4)
+Imports: methods, utils, stats, DBI, XVector, Biostrings, rtracklayer
+Suggests: txdbmaker, org.Mm.eg.db, org.Hs.eg.db, BSgenome,
         BSgenome.Hsapiens.UCSC.hg19 (>= 1.3.17),
         BSgenome.Celegans.UCSC.ce11, BSgenome.Dmelanogaster.UCSC.dm3
         (>= 1.3.17), mirbase.db, FDb.UCSC.tRNAs,
@@ -56,27 +53,25 @@
         (>= 0.0.5), GenomicAlignments (>= 1.15.7), ensembldb,
         AnnotationFilter, RUnit, BiocStyle, knitr, markdown
 VignetteBuilder: knitr
-Collate: utils.R TxDb-schema.R TxDb-SELECT-helpers.R UCSC-utils.R
-        Ensembl-utils.R findCompatibleMarts.R TxDb-class.R
-        FeatureDb-class.R makeTxDb.R makeTxDbFromUCSC.R
-        makeTxDbFromBiomart.R makeTxDbFromEnsembl.R
+Collate: utils.R TxDb-schema.R TxDb-SELECT-helpers.R TxDb-class.R
+        FeatureDb-class.R mapIdsToRanges.R id2name.R transcripts.R
+        transcriptsBy.R transcriptsByOverlaps.R transcriptLengths.R
+        exonicParts.R extendExonsIntoIntrons.R features.R microRNAs.R
+        extractTranscriptSeqs.R extractUpstreamSeqs.R
+        getPromoterSeq-methods.R select-methods.R nearest-methods.R
+        transcriptLocs2refLocs.R coordinate-mapping-methods.R
+        proteinToGenome.R coverageByTranscript.R makeTxDb.R
+        makeTxDbFromUCSC.R makeTxDbFromBiomart.R makeTxDbFromEnsembl.R
         makeTxDbFromGRanges.R makeTxDbFromGFF.R makeFeatureDbFromUCSC.R
-        mapIdsToRanges.R id2name.R transcripts.R transcriptsBy.R
-        transcriptsByOverlaps.R transcriptLengths.R exonicParts.R
-        extendExonsIntoIntrons.R features.R microRNAs.R
-        extractTranscriptSeqs.R extractUpstreamSeqs.R
-        getPromoterSeq-methods.R makeTxDbPackage.R select-methods.R
-        nearest-methods.R transcriptLocs2refLocs.R
-        coordinate-mapping-methods.R proteinToGenome.R
-        coverageByTranscript.R zzz.R
+        makeTxDbPackage.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicFeatures
-git_branch: RELEASE_3_18
-git_last_commit: b42fb34
-git_last_commit_date: 2024-01-30
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-31
+git_branch: RELEASE_3_19
+git_last_commit: e3c5136
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2024-01-31 22:20:21 UTC; biocbuild
+Packaged: 2024-05-01 03:54:50 UTC; biocbuild
 Author: M. Carlson [aut],
   H. Pagès [aut, cre],
   P. Aboyoun [aut],

=== debian/changelog ===
r-bioc-genomicfeatures (1.56.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:06:12 +0200

r-bioc-genomicfeatures (1.56.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 10:47:11 +0200

r-bioc-genomicfeatures (1.56.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 23:42:30 +0200

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics,
-               r-bioc-s4vectors,
-               r-bioc-iranges,
-               r-bioc-genomeinfodb (>= 1.35.8),
-               r-bioc-genomicranges,
-               r-bioc-annotationdbi,
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-iranges (>= 2.38.1),
+               r-bioc-genomeinfodb (>= 1.40.1),
+               r-bioc-genomicranges (>= 1.56.1),
+               r-bioc-annotationdbi (>= 1.66.0),
                r-cran-dbi,
-               r-cran-rsqlite,
-               r-cran-rcurl,
-               r-bioc-xvector,
-               r-bioc-biostrings,
-               r-bioc-biocio,
-               r-bioc-rtracklayer (>= 1.51.5),
-               r-bioc-biomart (>= 2.58.2),
-               r-bioc-biobase,
+               r-bioc-xvector (>= 0.44.0),
+               r-bioc-biostrings (>= 2.72.1),
+               r-bioc-rtracklayer (>= 1.64.0),
                r-cran-knitr,
                r-cran-markdown,
-               r-bioc-biocstyle
+               r-bioc-biocstyle (>= 2.32.1)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures.git
@@ -34,9 +29,25 @@
 Package: r-bioc-genomicfeatures
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-iranges (>= 2.38.1),
+         r-bioc-genomeinfodb (>= 1.40.1),
+         r-bioc-genomicranges (>= 1.56.1),
+         r-bioc-annotationdbi (>= 1.66.0),
+         r-bioc-xvector (>= 0.44.0),
+         r-bioc-biostrings (>= 2.72.1),
+         r-bioc-rtracklayer (>= 1.64.0),
+         r-bioc-biocstyle (>= 2.32.1)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-org.hs.eg.db (>= 3.19.1),
+          r-bioc-bsgenome (>= 1.72.0),
+          r-bioc-rsamtools (>= 2.20.0),
+          r-bioc-genomicalignments (>= 1.40.0),
+          r-bioc-ensembldb (>= 2.28.0),
+          r-bioc-annotationfilter (>= 1.28.0)
 Description: GNU R tools for making and manipulating transcript centric annotations
  A set of tools and methods for making and manipulating transcript
  centric annotations. With these tools the user can easily download the

## r-bioc-genomicfeatures 1.58.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Package: GenomicFeatures
-Title: Conveniently import and query gene models
-Description: A set of tools and methods for making and manipulating
-	transcript centric annotations. With these tools the user can
-	easily download the genomic locations of the transcripts, exons
-	and cds of a given organism, from either the UCSC Genome
-	Browser or a BioMart database (more sources will be supported
-	in the future). This information is then stored in a local
-	database that keeps track of the relationship between
-	transcripts, exons, cds and genes. Flexible methods are
-	provided for extracting the desired features in a convenient
-	format.
+Title: Query the gene models of a given organism/assembly
+Description: Extract the genomic locations of genes, transcripts, exons,
+	introns, and CDS, for the gene models stored in a TxDb object.
+	A TxDb object is a small database that contains the gene models of
+	a given organism/assembly. Bioconductor provides a small collection
+	of TxDb objects in the form of ready-to-install TxDb packages for
+	the most commonly studied organisms. Additionally, the user can
+	easily make a TxDb object (or package) for the organism/assembly
+	of their choice by using the tools from the txdbmaker package.
 biocViews: Genetics, Infrastructure, Annotation, Sequencing,
         GenomeAnnotation
 URL: https://bioconductor.org/packages/GenomicFeatures
 BugReports: https://github.com/Bioconductor/GenomicFeatures/issues
-Version: 1.56.0
+Version: 1.58.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -35,9 +33,9 @@
 	person("L.", "Shepherd", role="ctb"),
 	person("D.", "Tenenbaum", role="ctb"),
 	person("D.", "Van Twisk", role="ctb"))
-Depends: R (>= 3.5.0), BiocGenerics (>= 0.1.0), S4Vectors (>= 0.17.29),
-        IRanges (>= 2.37.1), GenomeInfoDb (>= 1.35.8), GenomicRanges
-        (>= 1.55.2), AnnotationDbi (>= 1.41.4)
+Depends: R (>= 3.5.0), BiocGenerics (>= 0.51.2), S4Vectors (>=
+        0.17.29), IRanges (>= 2.37.1), GenomeInfoDb (>= 1.35.8),
+        GenomicRanges (>= 1.55.2), AnnotationDbi (>= 1.41.4)
 Imports: methods, utils, stats, DBI, XVector, Biostrings, rtracklayer
 Suggests: txdbmaker, org.Mm.eg.db, org.Hs.eg.db, BSgenome,
         BSgenome.Hsapiens.UCSC.hg19 (>= 1.3.17),
@@ -65,13 +63,13 @@
         makeTxDbFromGRanges.R makeTxDbFromGFF.R makeFeatureDbFromUCSC.R
         makeTxDbPackage.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicFeatures
-git_branch: RELEASE_3_19
-git_last_commit: e3c5136
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: a6e2405
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 03:54:50 UTC; biocbuild
+Packaged: 2024-10-30 00:50:52 UTC; biocbuild
 Author: M. Carlson [aut],
   H. Pagès [aut, cre],
   P. Aboyoun [aut],

=== debian/changelog ===
r-bioc-genomicfeatures (1.58.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 21:12:39 +0100

r-bioc-genomicfeatures (1.58.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:22:43 +0100

=== debian/control ===
Source: r-bioc-genomicfeatures
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.51.2),
               r-bioc-s4vectors,
               r-bioc-iranges (>= 2.37.1),
               r-bioc-genomeinfodb (>= 1.35.8),
               r-bioc-genomicranges (>= 1.55.2),
               r-bioc-annotationdbi,
               r-cran-dbi,
               r-bioc-xvector,
               r-bioc-biostrings,
               r-bioc-rtracklayer,
               r-cran-knitr,
               r-cran-markdown,
               r-bioc-biocstyle
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfeatures.git
Homepage: https://bioconductor.org/packages/GenomicFeatures/
Rules-Requires-Root: no

Package: r-bioc-genomicfeatures
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tools for making and manipulating transcript centric annotations
 A set of tools and methods for making and manipulating transcript
 centric annotations. With these tools the user can easily download the
 genomic locations of the transcripts, exons and cds of a given organism,
 from either the UCSC Genome Browser or a BioMart database (more sources
 will be supported in the future). This information is then stored in a
 local database that keeps track of the relationship between transcripts,
 exons, cds and genes. Flexible methods are provided for extracting the
 desired features in a convenient format.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

execute_after_dh_auto_build:
	cd inst/doc && \
	Rscript -e "require(knitr); require(markdown); knit('GenomicFeatures.Rmd', 'GenomicFeatures.md'); markdownToHTML('GenomicFeatures.md', 'GenomicFeatures.html', options=c('use_xhtml', 'base64_images'));" && \
	sed -i -e 's#https://mathjax\.rstudio.*/MathJax.js\(?config=TeX.*L"\)#file:///usr/share/javascript/mathjax/MathJax.js\1#' *.html

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/GenomicFeatures.html .*/GenomicFeatures_([\d\.]+)\.tar\.gz
